Skip to main content
POST
/
tridion
/
v1
/
sync
/
download-raw-file
Download raw Tridion content synchronously
curl --request POST \
  --url https://eu.phrase.com/connectors/tridion/v1/sync/download-raw-file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connectorUuid": "4282fec0-d2e9-4266-8733-3e634feb7b59",
  "configuration": {},
  "path": {
    "pathType": "ITEM",
    "itemId": "tcm:1-2345"
  },
  "sourceLocale": "en"
}
'
{
  "storageId": "e48eda63928c4155bez9fdbsaadc15f3"
}

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
enum<string>

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default. (ID => JSON with storageId, OBJECT => binary stream).

Available options:
ID,
OBJECT

Body

application/json

Request body for downloading raw content from SDL Tridion. Provide connectorUuid to load stored credentials from TMS.

connectorUuid
string
required

UUID of a connector instance configured in TMS.

Example:

"4282fec0-d2e9-4266-8733-3e634feb7b59"

configuration
object
required

Tridion-specific behavior knobs.

path
object
required

Selector inside the Tridion repository — typically an item or folder identified by TCM URI.

sourceLocale
string
required

Source locale of the items being downloaded (locale code, e.g. en, de).

Example:

"en"

Response

OK — JSON storageId envelope (returned when X-ResponseType=ID).

storageId
string